/*
 * Copyright (c) 2002-2009 Gargoyle Software Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.gargoylesoftware.htmlunit.javascript;

/**
 * An error that is thrown when a script has been running too long.
 *
 * @version $Revision: 4002 $
 * @author Andre Soereng
 */
public class TimeoutError extends Error {

    private static final long serialVersionUID = 2637882768887747478L;

    TimeoutError(final long allowedTimeout, final long executionTime) {
        super("Javascript execution takes too long (allowed: " + allowedTimeout
                + ", already elapsed: " + executionTime + ")");
    }
}
