/*
 * Copyright (c) 2002-2009 Gargoyle Software Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.gargoylesoftware.htmlunit.javascript.host.html;

import org.junit.Test;
import org.junit.runner.RunWith;

import com.gargoylesoftware.htmlunit.BrowserRunner;
import com.gargoylesoftware.htmlunit.WebTestCase;
import com.gargoylesoftware.htmlunit.BrowserRunner.Alerts;

/**
 * Unit tests for {@link HTMLObjectElement}.
 *
 * @version $Revision: 4649 $
 * @author Daniel Gredler
 */
@RunWith(BrowserRunner.class)
public class HTMLObjectElementTest extends WebTestCase {

    /**
     * @throws Exception if the test fails
     */
    @Test
    @Alerts(IE = { "[object]", "null" }, FF = { "[object HTMLFormElement]", "null" })
    public void form() throws Exception {
        final String html
            = "<html><body><form><object id='o1'></object></form><object id='o2'></object><script>\n"
            + "alert(document.getElementById('o1').form);\n"
            + "alert(document.getElementById('o2').form);\n"
            + "</script></body></html>";
        loadPageWithAlerts(html);
    }

}
